読者です 読者をやめる 読者になる 読者になる

万年素人からHackerへの道

万年素人がHackerになれるまで殴り書きするぜ。

環境構築「はじめての深層学習(ディープラーニング)プログラミング Kindle版」

はじめての深層学習(ディープラーニング)プログラミング Kindle版 のためにVagrantの環境

書籍ではUbuntu14.04(LTS)を使っていた。

なので portaltan.hatenablog.com を参考にした。

何故かマウントに失敗

ここが一番わかり易い。フォントは見づらいが・・・ zow.hatenablog.com

落とすファイルはVirtualBoxに合わせる

wget http://download.virtualbox.org/virtualbox/5.1.12/VBoxGuestAdditions_5.1.12.iso

sudo umount /mntする前に一旦/mntにカレントディレクトリになってるかもしれないんでcdしておくこと・・。

Install-OpenCV

~/Install-OpenCV/Ubuntuopencv_latest.shの実行時に

--- Installing dependency: libqt5-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libqt5-dev

のエラー。

https://www.vericoinforums.com/threads/how-to-compile-vericoin-qt-on-a-raspberry-pi-banana-pi-with-ubuntu.1198/page-2

sudo apt-get install build-essential libssl-dev libdb++-dev libboost-all-dev libqrencode-dev miniupnpc libminiupnpc-dev

してもだめ・・。

sudo apt-get install qt5-default

これもだめ・・。

Unable to locate package libqt5-dev · Issue #70 · jayrambhia/Install-OpenCV · GitHub

同じエラーで詰まってる人がissueに・・。

そもそもこいつがだめ。

sudo apt-get install libqt5-dev 

application development - How can I install Qt 5.x on 12.04 LTS? - Ask Ubuntu

を見ると 以下のコマンド

sudo apt-add-repository ppa:canonical-qt5-edgers/ubuntu1204-qt5
sudo apt-get update

すればいいらしいが・・。

sudo apt-add-repositoryコマンドねーよ!!

loumo.jp

しゃあない

sudo apt-get install apt-file
sudo apt-file update
sudo apt-file search add-apt-repository
sudo apt-get install software-properties-common

でいれる・・。

そして再度

sudo apt-add-repository ppa:canonical-qt5-edgers/ubuntu1204-qt5
sudo apt-get update

だめだあ・・・。

libqt5-dev自体のリポジトリが死んでいる?

Install-OpenCV/Ubuntu/dependencies.shの部分が関係してるっぽい感じがしたので libqt5x11extras5-dev に差し替えた。

# install_dependency libqt5-dev
install_dependency libqt5x11extras5-dev